module Sentinel
  module DB
    class Connection < ActiveRecord::Base
      # para que outro modelo herde deste, este deve ser definido como abstrato
      self.abstract_class = true
      module_name = Module.nesting.last.name.downcase
      establish_connection "#{module_name}_#{Rails.env}".to_sym
    end
  end
end
