class CreateSentinelControllers < ActiveRecord::Migration
  def change
    create_table :sentinel_controllers do |t|
      t.string :name, null: false, index:true
      t.integer :project_id, null: false, index: true

      t.timestamps
    end

    add_foreign_key :sentinel_controllers, :sentinel_projects,
    {
      # o cascade deu problema ao ser passado como string ao invés de symbol
      on_delete: :cascade,
      primary_key: :id,
      column: :project_id
    }
  end
end
