class CreateSentinelActions < ActiveRecord::Migration
  def change
    create_table :sentinel_actions do |t|
      t.string :name, null: false, index: true
      t.integer :controller_id, null: false, index: true

      t.timestamps null: false
      # t.timestamps
    end

    add_foreign_key :sentinel_actions, :sentinel_controllers,
    {
      on_delete: :cascade,
      primary_key: :id,
      column: :controller_id
    }
  end
end
