class SentinelUsersGroups < ActiveRecord::Migration
  def change
    create_table :sentinel_users_groups do |t|
      t.integer :user_id, null: false, index: true
      t.integer :group_id, null: false, index: true

      t.timestamps null: false
      # t.timestamps
    end

    add_foreign_key :sentinel_users_groups, :sentinel_users,
    {
      on_delete: :cascade,
      primary_key: :id,
      column: :user_id
    }
    add_foreign_key :sentinel_users_groups, :sentinel_groups,
    {
      on_delete: :cascade,
      primary_key: :id,
      column: :group_id
    }
  end
end
