# encoding: utf-8

module Sentinel
  module Generators
    module Config

      class DatabaseGenerator < ::Rails::Generators::Base
        include Rails::Generators

        desc "Creates database.yml.example in folder config."

        source_root File.expand_path("../../../../../../config", __FILE__)

        def copy_database_config
          copy_file "database.yml.example", "config/database.yml.example"
        end

      end
    end
  end
end
