class CreateSentinelPermissions < ActiveRecord::Migration
  def change
    create_table :sentinel_permissions do |t|
      t.integer :group_id, null: false, index: true
      t.integer :action_id, null: false, index: true

      t.timestamps null: false
      # t.timestamps
    end
    add_foreign_key :sentinel_permissions, :sentinel_groups,
    {
      on_delete: :cascade,
      primary_key: :id,
      column: :group_id
    }
    add_foreign_key :sentinel_permissions, :sentinel_actions,
    {
      on_delete: :cascade,
      primary_key: :id,
      column: :action_id
    }
  end
end
