namespace :sentinel do
  namespace :truncate do

    desc "Truncate Table"

    task :table, [:name, :adapter, :no_restart_keys] => [:environment] do |t, params|

      ActiveRecord::Base.establish_connection(:sentinel_development)

      if  ["postgresql", "postgres"].include? params[:adapter]
        unless params[:not_restart_keys]
          # binding.pry
          if ActiveRecord::Base.connection.exec_query("
              TRUNCATE TABLE #{params[:name]}
              RESTART IDENTITY
              CASCADE
            ")
            p "A tabela #{params[:name]} foi truncada!"
          else
            p "Algo deu errado, tente novamente ou contate o desenvolvedor."
          end
        else
          if ActiveRecord::Base.connection.execute("
              TRUNCATE TABLE #{params[:name]}
              CASCADE
            ")
            p "A tabela #{params[:name]} foi truncada!"
          else
            p "Algo deu errado, tente novamente ou contate o desenvolvedor."
          end
        end
      end

    end

  end
end
